%global momorel 2
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Development and simulation of microcontrollers and electronic circuits
Name: ktechlab
Version: 0.3.7
# SVN revision is r243.
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://ktechlab.org/
Group: Applications/Engineering
Source0: %{name}-%{version}.tar.lzma
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: gputils
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: gpsim-devel
BuildPreReq: readline-devel

%description
KTechlab is a development and simulation environment for microcontrollers
and electronic circuits, distributed under the GNU General Public License.

KTechlab consists of several well-integrated components:
A circuit simulator, capable of simulating logic, linear devices and some
nonlinear devices.
* Integration with gpsim, allowing PICs to be simulated in circuit.
* A schematic editor, which provides a rich real-time feedback of the
simulation.
* A flowchart editor, allowing PIC programs to be constructed visually.
* MicroBASIC; a BASIC-like compiler for PICs, written as a companion program
to KTechlab.
* An embedded Kate part, which provides a powerful editor for PIC programs.
* Integrated assembler and disassembler via gpasm and gpdasm.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/ktechlab.png %{buildroot}%{_datadir}/pixmaps/ktechlab.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applnk/Development/ktechlab.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_bindir}/ktechlab
%{_bindir}/microbe
%{_datadir}/applications/kde/ktechlab.desktop
%{_datadir}/apps/katepart/syntax/microbe.xml
%{_datadir}/apps/ktechlab
%{_datadir}/config.kcfg/ktechlab.kcfg
%{_datadir}/doc/HTML/*/ktechlab
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/ktechlab.mo
%{_datadir}/mimelnk/application/x-*.desktop
%{_datadir}/pixmaps/ktechlab.png

%changelog
* Tue May  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.7-2m)
- clean up spec file

* Fri May  1 2009 Hajime Yoshimori <lugia@momonga-linux.org>
- (0.3.7-1m)
- update to 0.3.7 (SVN revision 243)
- remove gcc43 pic ppc patches.

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.6-8m)
- rebuild against rpm-4.6

* Thu Sep 18 2008 Hajime Yoshimori <lugia@momonga-linux.org>
- (0.3.6-7m)
- [CRASH FIX]
- modify gcc43 patch

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.6-6m)
- rebuild against qt3

* Sat Apr 12 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.6-5m)
- add patch for gcc43

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.6-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.6-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.6-2m)
- %%NoSource -> NoSource

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.6-1m)
- change version to 0.3.6

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-1m)
- initial package for Momonga Linux
- 2 patches are imported from Fedora
